using System;
using System.Collections.Generic;

namespace WS
{
    ///<summary>ProcessManager扩展</summary>
    public partial class ProcessManager
    {
        ///<summary>初始化名称To类型</summary>
        private Dictionary<string, Type> DicNameToType = new Dictionary<string, Type>();

        private void StartType()
        {
            DicNameToType.Add("InteractAnimsComponent", typeof(InteractAnimsComponent));
            DicNameToType.Add("InteractObjsComponent", typeof(InteractObjsComponent));
            DicNameToType.Add("InteractComponent", typeof(InteractComponent));
            DicNameToType.Add("LoadSceneComponent", typeof(LoadSceneComponent));
            DicNameToType.Add("MoveGuideComponent", typeof(MoveGuideComponent));
            DicNameToType.Add("PlayAudioComponent", typeof(PlayAudioComponent));
            DicNameToType.Add("ShowMsgComponent", typeof(ShowMsgComponent));
            DicNameToType.Add("ShowViewOperateComponent", typeof(ShowViewOperateComponent));
            DicNameToType.Add("UIGuideOperateComponent", typeof(UIGuideOperateComponent));
            DicNameToType.Add("JumpToComponent", typeof(JumpToComponent));
        }

        ///<summary>获取名称</summary>
        private Type GetToType(string name)
        {
            return DicNameToType[name];
        }
    }
}
